Overview | Modules | Class Hierarchy | Classes | Members
# tlp::GlPentagon Class Reference `#include <GlPentagon.h>` Inherits tlp::GlRegularPolygon. Inheritance diagram for tlp::GlPentagon: [legend] Collaboration diagram for tlp::GlPentagon: [legend] List of all members. ## Detailed Description class to create an pentagon ## Public Member Functions GlPentagon (const Coord &position, const Size &size, const Color &outlineColor=Color(255, 0, 0, 255), const Color &fillColor=Color(0, 0, 255, 255), bool filled=true, bool outlined=true, const std::string &textureName="", float outlineSize=1.) virtual ~GlPentagon () ## Constructor & Destructor Documentation
tlp::GlPentagon::GlPentagon | ( | const Coord & | position,
|  | const Size & | size,
|  | const Color & | outlineColor = `Color(255, 0, 0, 255)`,
|  | const Color & | fillColor = `Color(0, 0, 255, 255)`,
|  | bool | filled = `true`,
|  | bool | outlined = `true`,
|  | const std::string & | textureName = `""`,
|  | float | outlineSize = `1.`
| ) |
| Constructor
virtual tlp::GlPentagon::~GlPentagon | ( |  | ) | `[virtual]`
| Default empty destructor

Tulip Software by LaBRI Visualization Team 2001 - 2010